import request from '@/utils/request'

// 查询工委会管理列表
export function listProjectCommittee(query) {
  return request({
    url: '/project/projectCommittee/list',
    method: 'get',
    params: query
  })
}

// 查询工委会管理详细
export function getProjectCommittee(id) {
  return request({
    url: '/project/projectCommittee/' + id,
    method: 'get'
  })
}

// 新增工委会管理
export function addProjectCommittee(data) {
  return request({
    url: '/project/projectCommittee',
    method: 'post',
    data: data
  })
}

// 修改工委会管理
export function updateProjectCommittee(data) {
  return request({
    url: '/project/projectCommittee',
    method: 'put',
    data: data
  })
}



// 删除工委会管理
export function delProjectCommittee(id) {
  return request({
    url: '/project/projectCommittee/' + id,
    method: 'delete'
  })
}


// 删除工委会管理
export function addProjectCommitteeList(list) {
  return request({
    url: '/project/projectCommittee/addList',
    method: 'post',
    data:list
  })
}
